<?php

/**
 * Single Post Options
 *
 * @package construction_engineer
 */

$wp_customize->add_section(
	'construction_engineer_single_post_options',
	array(
		'title' => esc_html__( 'Single Post Options', 'construction-engineer' ),
		'panel' => 'construction_engineer_theme_options',
	)
);


// Post Options - Hide Date.
$wp_customize->add_setting(
	'construction_engineer_single_post_hide_date',
	array(
		'default'           => true,
		'sanitize_callback' => 'construction_engineer_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Construction_Engineer_Toggle_Switch_Custom_Control(
		$wp_customize,
		'construction_engineer_single_post_hide_date',
		array(
			'label'   => esc_html__( 'Show / Hide Post Date', 'construction-engineer' ),
			'section' => 'construction_engineer_single_post_options',
		)
	)
);

// Post Options - Hide Author.
$wp_customize->add_setting(
	'construction_engineer_single_post_hide_author',
	array(
		'default'           => true,
		'sanitize_callback' => 'construction_engineer_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Construction_Engineer_Toggle_Switch_Custom_Control(
		$wp_customize,
		'construction_engineer_single_post_hide_author',
		array(
			'label'   => esc_html__( 'Show / Hide Author', 'construction-engineer' ),
			'section' => 'construction_engineer_single_post_options',
		)
	)
);

// Post Options - Show / Hide Comments.
$wp_customize->add_setting(
	'construction_engineer_single_post_hide_comments',
	array(
		'default'           => true,
		'sanitize_callback' => 'construction_engineer_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Construction_Engineer_Toggle_Switch_Custom_Control(
		$wp_customize,
		'construction_engineer_single_post_hide_comments',
		array(
			'label'   => esc_html__( 'Show / Hide Comments', 'construction-engineer' ),
			'section' => 'construction_engineer_single_post_options',
		)
	)
);

// Post Options - Show / Hide Time.
$wp_customize->add_setting(
	'construction_engineer_single_post_hide_time',
	array(
		'default'           => true,
		'sanitize_callback' => 'construction_engineer_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Construction_Engineer_Toggle_Switch_Custom_Control(
		$wp_customize,
		'construction_engineer_single_post_hide_time',
		array(
			'label'   => esc_html__( 'Show / Hide Time', 'construction-engineer' ),
			'section' => 'construction_engineer_single_post_options',
		)
	)
);

// Post Options - Hide Category.
$wp_customize->add_setting(
	'construction_engineer_single_post_hide_category',
	array(
		'default'           => true,
		'sanitize_callback' => 'construction_engineer_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Construction_Engineer_Toggle_Switch_Custom_Control(
		$wp_customize,
		'construction_engineer_single_post_hide_category',
		array(
			'label'   => esc_html__( 'Show / Hide Category', 'construction-engineer' ),
			'section' => 'construction_engineer_single_post_options',
		)
	)
);

// Post Options - Hide Tag.
$wp_customize->add_setting(
	'construction_engineer_post_hide_tags',
	array(
		'default'           => true,
		'sanitize_callback' => 'construction_engineer_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Construction_Engineer_Toggle_Switch_Custom_Control(
		$wp_customize,
		'construction_engineer_post_hide_tags',
		array(
			'label'   => esc_html__( 'Show / Hide Post Tag', 'construction-engineer' ),
			'section' => 'construction_engineer_single_post_options',
		)
	)
);

// Post Options - Comment Title.
$wp_customize->add_setting(
	'construction_engineer_blog_post_comment_title',
	array(
		'default'=> 'Leave a Reply',
		'sanitize_callback'	=> 'sanitize_text_field'
	)
);

$wp_customize->add_control(
	'construction_engineer_blog_post_comment_title',
	array(
		'label'	=> __('Comment Title','construction-engineer'),
		'input_attrs' => array(
			'placeholder' => __( 'Leave a Reply', 'construction-engineer' ),
		),
		'section'=> 'construction_engineer_single_post_options',
		'type'=> 'text'
	)
);